<?php


namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeUpdateViewModel;


use App\Utils\Entity;

class AgendaEspecialidadeUpdateViewModel extends Entity
{

    protected $id_especialidade;
    protected $alterado_por;

    public static function builder() : AgendaEspecialidadeUpdateViewModelBuilder
    {
        return new AgendaEspecialidadeUpdateViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getIdEspecialidade()
    {
        return $this->id_especialidade;
    }

    /**
     * @param mixed $id_especialidade
     */
    public function setIdEspecialidade($id_especialidade): void
    {
        $this->id_especialidade = $id_especialidade;
    }

    public function getAlteradoPor(): ?int
    {
        return $this->alterado_por;
    }

    public function setAlteradoPor(?int $alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

}